// Copyright (c) Tailscale Inc & AUTHORS
// SPDX-License-Identifier: BSD-3-Clause

package com.tailscale.ipn.ui.util

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.unit.dp

@Composable
fun settingsRowModifier(): Modifier {
  return Modifier.clip(shape = RoundedCornerShape(8.dp))
      .background(color = MaterialTheme.colorScheme.secondaryContainer)
      .fillMaxWidth()
}

@Composable
fun defaultPaddingModifier(): Modifier {
  return Modifier.padding(8.dp)
}
